## dotlrn 2.5.0%2Bdfsg2

=== packages/acs-templating/www/scripts/xinha/Makefile ===
FILES = *.adp *.tcl blank.html

SOURCE = /usr/local/openacs-4/packages/acs-templating/www/resources/xinha-nightly/plugins/OacsFs/popups/

unlink:
	rm -f ${FILES}
	cp -p ${SOURCE}/*.html .
	cp -p ${SOURCE}/*.adp .
	cp -p ${SOURCE}/*.tcl .

link:
	ln -sf ${SOURCE}/*.html .
	ln -sf ${SOURCE}/*.adp .
	ln -sf ${SOURCE}/*.tcl .

## dotlrn 2.5.0+dfsg

=== packages/acs-core-docs/www/xml/Makefile ===
# A very simple Makefile to generate the HTML docs
# @author Vinod Kurup (vinod@kurup.com)
# @author Modified by Roberto Mello (rmello@fslc.usu.edu) to have PDF generation
#         plus refactored it a bit to have rules and dependencies.
# @author davis@xarg.net Added automatic creation of an XSL link so we don't edit openacs.xsl, 
#         added a lint target which runs xmllint, changed pdf generation to use FOP.  Made it 
#         work on the mac.  
# OSX note: xmllint from fink does not work, use /usr/bin/xmllint 
#           xmllint from fink seems to work fine on osx 10.4.x
#
# @creation-date 2002-08-10
# @modified-date 2003-12-06
#
# This simply copys all the 'files' and 'images'
#   to the appropriate directory in www so that they are accessible
#
# It then moves into the www directory and runs the XSLT generation
# and runs htmldoc to generate PDFs.
#
# I'm a Makefile newbie, so feel free to comment/slash/change.

# Paths
XSLTPROC=xsltproc
HTMLDOC=htmldoc

all: html 

XSL:
	if [ ! -d XSL -a ! -L XSL ]; then \
		echo -e "\n\nNo XSL directory here.  I am looking for one...\n"; \
		for d in \
			/sw/share/xml/docbook-xsl \
			/usr/share/sgml/docbook/xsl-stylesheets-* \
			/usr/share/sgml/docbook/xsl-stylesheets \
			/usr/share/sgml/docbook/stylesheet/xsl/nwalsh; \
		do \
			if [ -d $$d ]; then \
				echo "Found $$d"; \
				EXISTS=$$d; \
			fi; \
		done; \
		if [ "$$EXISTS" = "" ]; then \
			echo -e "\
\nNo xsl stylesheets found in /usr/share/sgml/docbook/\n\
You need to install them on your system or if they exist already,\n\
symlink them here so that XSL/html/chunk.xsl exists\n\
see http://sourceforge.net/projects/docbook/ for the docbook-xsl stylesheets\n"; \
			exit 1; \
		else \
			echo "I think $$EXISTS is the best one\n\n"; \
			ln -s $$EXISTS XSL; \
		fi; \
	fi;

prelim: images 
	cp images/*.{pdf,png,gif,jpg} ../images/

# all non-regenerated html is kept in a sub-dir so that we can delete html
# in the main directory before regenerating
# this helps avoid meaningless cvs conflicts in second-hand files
	rm ../*html

target: non-xml
# the dash u part of cp -u is redundant in the context of make/Makefile
	cp non-xml/*.html ..

	cp openacs.css ..

html: prelim XSL
# adding --nonet --novalid is much faster but generates a bunch of bogus error messages
	cd .. ; $(XSLTPROC) --xinclude xml/openacs.xsl xml/index.xml

# I got this to work with FOP 0.20.5 and docbook-xsl 1.62, and Jimi 1.0
# see README.fop for some notes.
pdf: XSL
	cd ..; fop -d -fo fop.fo -pdf full.pdf

fopdf: XSL 
	cd ..; $(XSLTPROC) --xinclude --output fop.fo xml/fo.xsl xml/index.xml
	cd ..; fop -d -fo fop.fo -pdf full.pdf

# Validate with xmllint. --postvalid is needed so validation takes place after xincludes.
# In emacs do M-x compile then make lint; then C-x ` to walk through the resulting errors.
#	/usr/bin/xmllint --xinclude --noout --postvalid index.xml 2>&1 | grep -v 'No declaration for attribute base of element'
#	/sw/bin/xmllint --xinclude --noout --postvalid index.xml 2>&1 | grep -v 'No declaration for attribute base of element'
#  I skip adding the grep at the end because it returns an ambiguous error when there are no messages at end of compiling.. due to no errors.
lint: XSL
	/sw/bin/xmllint --xinclude --noout --postvalid index.xml 2>&1

=== debian/changelog ===
dotlrn (2.5.0+dfsg-10) unstable; urgency=low

  * Updated postgresql suggestion in control file. Closes: #732495
  * Policy bumped to 3.9.5 without changes.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Wed, 18 Dec 2013 14:54:11 +0100

dotlrn (2.5.0+dfsg-9) unstable; urgency=low

  * Fixed Vcs-* fields in control file.
  * Policy bumped to 3.9.4 without changes.
  * Changed maintainer e-mail address.
  * Fixed dependencies in control file. Closes: #725257
  * Fixed watch file (added .tar.gz and other file extensions)
  * Updated copyright file to 1.0 format.
  * Fixed local config management.
    - Updated README.Debian
    - Autogenerated config.local file with database
      local settings.
    - Added dotlrn.preinst file with a fix for old
      postinst modified config.tcl.

 -- Hector Romojaro <hector.romojaro@gmail.com>  Mon, 07 Oct 2013 11:56:04 +0200

dotlrn (2.5.0+dfsg-8) unstable; urgency=low

  * Fixed call to ucf on postrm. Closes: #677060
  * Fixed interpreters-path.patch
  * Policy bumped to 3.9.3 without changes.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Thu, 28 Jun 2012 16:32:23 +0200

dotlrn (2.5.0+dfsg-7) unstable; urgency=low

  * Updated to 3.0 packaging format. Closes: #661038

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sat, 03 Mar 2012 12:54:39 +0100

dotlrn (2.5.0+dfsg-6) unstable; urgency=low

  * Updated Dutch translation. Closes: #660229 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 20 Feb 2012 19:31:50 +0100

dotlrn (2.5.0+dfsg-5) unstable; urgency=low

  * Updated Catalan translation. Closes: #632205
  * Fixed lintian overrides
  * Added build-arch|dep targets to debian/rules to make lintian happy.
  * Policy bumped to 3.9.2 without changes. 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 01 Nov 2011 16:02:51 +0100

dotlrn (2.5.0+dfsg-4) unstable; urgency=low

  * Fixed piuparts failed-testing error in postinst script 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Wed, 06 Apr 2011 06:58:48 +0200

dotlrn (2.5.0+dfsg-3) unstable; urgency=low

  * Policy bumped to 3.9.1 without changes.
  * Removed recursive chown in postinst (see #606554). 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 13 Dec 2010 12:14:25 +0100

dotlrn (2.5.0+dfsg-2) unstable; urgency=high

  * Fixed severe vulnerability in the api-browser: it was possible to pass  
    to the query parameter "path" a relative path, which might contain path
    traversals like ../../.. . With these all files with read permissions
    can be delivered via the server. Applied Patch: 
    http://fisheye.openacs.org/changelog/OpenACS/?cs=oacs-5-5:gustafn:20101125091953
  * Updated translations:
    - Japanease. Closes: #602151
    - Vietnamese. Closes: #599609
    - Czech. Closes: #599608

 -- Hector Romojaro <hromojaro@dia.uned.es>  Thu, 25 Nov 2010 13:48:29 +0100

dotlrn (2.5.0+dfsg-1) unstable; urgency=high

  * Removed non DFSG files, check README.Debian for details. Closes: #591210
  * Fixed postinst script that failed to reload postgresql. 
  * Success to install even if postgresql is not installed. Closes: #595499
  * Added info about PostgreSQL dependency to README.Debian.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sun, 05 Sep 2010 01:24:37 +0200

dotlrn (2.5.0-4) unstable; urgency=low

  * Updated translations:
    - Spanish. Closes: #579513
    - Danish. Closes: #580786
  * Fixed bashisms. Closes: #581080 

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 11 May 2010 09:56:38 +0200

dotlrn (2.5.0-3) unstable; urgency=low

  * Updated standards to 3.8.4 (no changes required)
  * Added debian/source/format file, with value of 1.0.
  * Updated translations:
    - Vietnamese.
    - Czech. Closes: #565881
    - Portuguese. Closes: #575169

 -- Hector Romojaro <hromojaro@dia.uned.es>  Tue, 20 Apr 2010 19:13:36 +0200

dotlrn (2.5.0-2) unstable; urgency=low

  * Changed aolserver4-daemon dependency to >= 4.5.1-11
  * Added watch file. 
  * Added get-orig-source on debian/rules.
  * debian/control reviewed by the debian-l10n-english team
  * Template bugs (thanks Thomas Mueller, Christian Perrier
  and Justin B. Rye)
    - Fixed some typo and wrong text (closes: #562897, #562893)
    - Use PostgreSQL instead of postgresql (closes: #562894)
    - Removed dotlrn/notconfigured and dotlrn/pg_grant_access_manual*
    (closes: #562936, #562899), and added manual database access 
    instructions to README.Debian.
    - Moved dotlrn/create_tables info to README.Debian.
    - Removed dotlrn/dba_confirm.
    - Reviewed by the debian-l10n-english team
  * Debconf Translation Updates
    - Norwegian.
    - Russian. Closes: #564101
    - Slovak. Closes: #564094
    - Swedish. Closes: #564128
    - Finnish. Closes: #564492
    - French. Closes: #564179
    - German. Closes: #564672
    - Portuguese. Closes: #565345
    - Catalan
    - Czech
    - Danish
    - Spanish
    - Euskara
    - Galician
    - Italian
    - Korean
    - Malay
    - Dutch
    - Brazilian Portuguese
    - Vietnamese
  
 -- Hector Romojaro <hromojaro@dia.uned.es>  Mon, 18 Jan 2010 16:45:19 +0100

dotlrn (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Changed aolserver4-daemon dependency to >= 4.5.1-7
  * Updated to the new aolserver config environment:
    - Basic config stored on /etc/aolserver4/conf.d/openacs.sh.
    - Removed init script, now the instance is started by the
      aolserver init script.
    - Removed /etc/default/openacs.
    - Updated daemontools script and README.
  * Removed tsearch checks, because it is built into postgresql since 8.3.
  * Removed README.tsearch
  * Added README.source
  * Added tinymce and Crystal iconset for xinha licenses to copyright file.
  * Removed Xinha Tango Iconset because of its non DFSG compliant license.

 -- Hector Romojaro <hromojaro@dia.uned.es>  Sat, 21 Nov 2009 00:22:56 +0100

dotlrn (2.4.1-3) unstable; urgency=low

  [ Hector Romojaro ]
  * Policy bumped to 3.8.2.

  [ Francesco Paolo Lovergine ]
  * Added Homepage and Vcs-* fields.


=== debian/control ===
Source: dotlrn 
Section: web
Priority: optional
Maintainer: Hector Romojaro <hector.romojaro@gmail.com>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends-Indep: po-debconf
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/dotlrn/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/dotlrn/trunk
Homepage: http://www.dotlrn.org/

Package: dotlrn
Architecture: all
Depends: ${misc:Depends}, aolserver4-daemon (>= 4.5.1-11), aolserver4-nspostgres, aolserver4-nssha1, postgresql-client, 
 adduser, tcl-thread | tclthread (>= 1:2.6.5-3), tcllib, tcl (>= 8.4), wwwconfig-common, debconf, xotcl, 
 aolserver4-xotcl, imagemagick, zip, unzip, tdom (>= 0.8.3~20080525), ucf 
Suggests: postgresql, daemontools, daemontools-run
Description: e-learning portal system based on OpenACS
 dotLRN is a complete Learning Management System that integrates course
 and content administration tools and collaborative tools into a
 sophisticated portal system.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@

get-orig-source:
	if [ -d "../../tarballs" ]; then \
		uscan --download-current-version --force-download --rename --destdir ../../tarballs/ ; \
        else \
		uscan --download-current-version --force-download --rename ; \
	fi;

override_dh_installdebconf:
	cp debian/dotlrn.sh debian/dotlrn/etc/dotlrn/
 
	# Deleting extra licenses	
	rm debian/dotlrn/usr/share/dotlrn/license.txt
	rm debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/htmlarea/license.txt
	rm debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/xinha-nightly/license.txt
	rm debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/tinymce/jscripts/tiny_mce/license.txt
	rm debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/xinha-nightly/iconsets/Crystal/LICENSE

	# Deleting some unneeded files
	rm debian/dotlrn/var/log/aolserver4/dotlrn/log.txt
	rm debian/dotlrn/usr/share/dotlrn/packages/theme-selva/www/resources/Selva/default/images/.DS_Store
	rm debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/xinha-nightly/plugins/ImageManager/img/Thumbs.db

	# Fixing permissions
	find debian/dotlrn/usr -type f -exec chmod 0644 {} \;
	find debian/dotlrn/usr -type d -exec chmod 0755 {} \;
	find debian/dotlrn/usr -type f -name *.pl -exec chmod 0755 {} \;         # Perl scripts +x
	find debian/dotlrn/usr -type f -name *.sh -exec chmod 0755 {} \;         # Shell scripts +x
	chmod 0755 debian/dotlrn/etc/dotlrn/install/checkout.sh \
		debian/dotlrn/etc/dotlrn/install/post-checkout-script.sh \
		debian/dotlrn/usr/share/dotlrn/bin/create-tablespace.tcl \
		debian/dotlrn/usr/share/dotlrn/bin/restart-aolserver \
		debian/dotlrn/usr/share/dotlrn/bin/webspell \
		debian/dotlrn/usr/share/dotlrn/packages/acs-lang/bin/mygrep \
		debian/dotlrn/etc/dotlrn/dotlrn.sh \
		debian/dotlrn/etc/dotlrn/install/build-release.sh \
		debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/htmlarea/examples/2-areas.cgi \
		debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/htmlarea/examples/test.cgi \
		debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/htmlarea/plugins/SpellChecker/spell-check-logic.cgi \
		debian/dotlrn/usr/share/dotlrn/packages/acs-templating/www/resources/xinha-nightly/plugins/SpellChecker/spell-check-logic.cgi

	# Continue as normal... 
	dh_installdebconf	

override_dh_fixperms:
	dh_fixperms
	# config.tcl stores passwords!
	chmod o-rwx debian/dotlrn/etc/dotlrn/config.tcl

=== debian/watch ===
version=3

opts="uversionmangle=s/\.\?revision_id\=(.*)//,dversionmangle=s/\+dfsg//" \
http://openacs.org/projects/dotlrn/download download/dotlrn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))(.*) debian debian/repackage-upstream-src

## dotlrn 2.5.0+dfsg2

=== debian/changelog ===
dotlrn (2.5.0+dfsg2-1) unstable; urgency=low

  * debhelper >= 9 is now required.
  * New missing-sources directory. Closes: #744319
    - Includes some minified javascript sources, for both xinha and tinymce.
    - Details in missing-sources/README
    - Updated copyright file to include them, and also xinha license.
  * Deleted some .jar files included in the original tarball. Please see 
    README.Debian for details.
  * Fixed privacy-breach-logo and privacy-breach-generic lintian errors in 
    some files.
    - See patches/privacy-breach.patch for more details
  * Added source/lintian-overrides and updated dotlrn.lintian-overrides

 -- Hector Romojaro <hector.romojaro@gmail.com>  Fri, 27 Dec 2013 15:38:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Hector Romojaro <hector.romojaro@gmail.com>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends-Indep: po-debconf
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-tcltk/dotlrn/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-tcltk/dotlrn/trunk

=== debian/watch ===
version=3

opts="uversionmangle=s/\.\?revision_id\=(.*)//,dversionmangle=s/\+dfsg2//" \
http://openacs.org/projects/dotlrn/download download/dotlrn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))(.*) debian debian/repackage-upstream-src
